<?php

/**
 * @file
 * Contains \Drupal\paynl_payment\Entity\PaynlProfile\PaynlProfileListBuilder.
 */

namespace Drupal\paynl_payment\Entity\PaynlProfile;

use Drupal\Core\Entity\EntityListBuilder;

/**
 * Lists paynl_profile entities.
 */
class PaynlProfileListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = $this->t('Label');
    $header['apiKey'] = $this->t('Pay.nl API key');
    $header['serviceId'] = $this->t('Pay.nl Service ID');
    $header['testMode'] = $this->t('Test mode');

    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(\Drupal\paynl_payment\Entity\PaynlProfile $entity) {
    // Label
    $row['label'] = $this->getLabel($entity);

    // API key
    $row['apiKey'] = $entity->getApiKey();

    // Service id
    $row['serviceId'] = $entity->getServiceId();

    // Test mode
    $row['testMode'] = $entity->hasTestMode();

    return $row + parent::buildRow($entity);
  }

  /**
   * {@inheritdoc}
   */
  public function render() {
    $build = parent::render();

    $build['#empty'] = $this->t('There are no Pay.nl profiles configured yet.');

    return $build;
  }
}
